# Class IndexToTable

java.lang.Object
htsjdk.tribble.example.IndexToTable

public class IndexToTable extends Object

## Constructor Summary

Constructors
Constructor
Description
`IndexToTable()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
this class: 1) checks to see that the feature file exists 2) loads an index from disk, if one doesn't exist, it creates it and writes it to disk 3) Converts the index to a human readable table
`static void`
`printUsage()`
print usage information

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IndexToTable

public IndexToTable()

## Method Details

### main

public static void main(String[] args)
this class: 1) checks to see that the feature file exists 2) loads an index from disk, if one doesn't exist, it creates it and writes it to disk 3) Converts the index to a human readable table

Parameters:
  `args` - 2 parameters: 1) The path of the file to index 2) The output file path
See Also:
  - `LinearIndex.writeTable(java.io.PrintStream)`

### printUsage

public static void printUsage()
print usage information